io.vertx.groovy.core.cli

## Class CLI_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.core.cli.CLI_GroovyExtension

-     public class CLI_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLI_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CLI` | `addArgument(CLI j_receiver, Map<String,Object> arg)`
    `static CLI` | `addArguments(CLI j_receiver, List<Map<String,Object>> args)`
    `static CLI` | `addOption(CLI j_receiver, Map<String,Object> option)`
    `static CLI` | `addOptions(CLI j_receiver, List<Map<String,Object>> options)`
    `static Map<String,Object>` | `getArgument(CLI j_receiver, int index)`
    `static Map<String,Object>` | `getArgument(CLI j_receiver, String name)`
    `static List<Map<String,Object>>` | `getArguments(CLI j_receiver)`
    `static Map<String,Object>` | `getOption(CLI j_receiver, String name)`
    `static List<Map<String,Object>>` | `getOptions(CLI j_receiver)`
    `static CLI` | `setArguments(CLI j_receiver, List<Map<String,Object>> args)`
    `static CLI` | `setOptions(CLI j_receiver, List<Map<String,Object>> options)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CLI_GroovyExtension

          public CLI_GroovyExtension()

  - ### Method Detail

    - #### getOptions

          public static List<Map<String,Object>> getOptions(CLI j_receiver)

    - #### addOption

          public static CLI addOption(CLI j_receiver,
                                      Map<String,Object> option)

    - #### addOptions

          public static CLI addOptions(CLI j_receiver,
                                       List<Map<String,Object>> options)

    - #### setOptions

          public static CLI setOptions(CLI j_receiver,
                                       List<Map<String,Object>> options)

    - #### getArguments

          public static List<Map<String,Object>> getArguments(CLI j_receiver)

    - #### addArgument

          public static CLI addArgument(CLI j_receiver,
                                        Map<String,Object> arg)

    - #### addArguments

          public static CLI addArguments(CLI j_receiver,
                                         List<Map<String,Object>> args)

    - #### setArguments

          public static CLI setArguments(CLI j_receiver,
                                         List<Map<String,Object>> args)

    - #### getOption

          public static Map<String,Object> getOption(CLI j_receiver,
                                                     String name)

    - #### getArgument

          public static Map<String,Object> getArgument(CLI j_receiver,
                                                       String name)

    - #### getArgument

          public static Map<String,Object> getArgument(CLI j_receiver,
                                                       int index)

Copyright © 2017. All rights reserved.